umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Macros | Variables
moc_codegenstatuspage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenwizard/codegenstatuspage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CodeGenStatusPage_t
struct | qt_meta_stringdata_LedStatus_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CodeGenStatusPage_t | qt_meta_stringdata_CodeGenStatusPage
static const uint | qt_meta_data_CodeGenStatusPage []
static const qt_meta_stringdata_LedStatus_t | qt_meta_stringdata_LedStatus
static const uint | qt_meta_data_LedStatus []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL [1/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeGenStatusPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeGenStatusPage_t
Definition: moc_codegenstatuspage.cpp:24

## ◆ QT_MOC_LITERAL [2/2]

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_LedStatus_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_LedStatus_t
Definition: moc_codegenstatuspage.cpp:170

## Variable Documentation

## ◆ qt_meta_data_CodeGenStatusPage

const uint qt_meta_data_CodeGenStatusPage[]
| static

## ◆ qt_meta_data_LedStatus

const uint qt_meta_data_LedStatus[]
| static

Initial value:
= {
8,
0,
0, 0,
0, 0,
0, 0,
0, 0,
0, 0,
0,
0,
0
}

## ◆ qt_meta_stringdata_CodeGenStatusPage

const qt_meta_stringdata_CodeGenStatusPage_t qt_meta_stringdata_CodeGenStatusPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 17),
QT_MOC_LITERAL(1, 18, 12),
QT_MOC_LITERAL(2, 31, 0),
QT_MOC_LITERAL(3, 32, 14),
QT_MOC_LITERAL(4, 47, 14),
QT_MOC_LITERAL(5, 62, 7),
QT_MOC_LITERAL(6, 70, 9),
QT_MOC_LITERAL(7, 80, 10),
QT_MOC_LITERAL(8, 91, 30),
QT_MOC_LITERAL(9, 122, 5),
QT_MOC_LITERAL(10, 128, 18),
QT_MOC_LITERAL(11, 147, 17),
QT_MOC_LITERAL(12, 165, 8),
QT_MOC_LITERAL(13, 174, 11),
QT_MOC_LITERAL(14, 186, 12)
},
"CodeGenStatusPage\0generateCode\0\0"
"classGenerated\0UMLClassifier*\0concept\0"
"generated\0classifier\0"
"CodeGenerator::GenerationState\0state\0"
"populateStatusList\0showFileGenerated\0"
"filename\0loggerClear\0loggerExport"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_codegenstatuspage.cpp:174

## ◆ qt_meta_stringdata_LedStatus

const qt_meta_stringdata_LedStatus_t qt_meta_stringdata_LedStatus
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 9)
},
"LedStatus"
}